Bug 1731705 - xblast depends on files/directories from non-standard locations
Summary: xblast depends on files/directories from non-standard locations
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xblast
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731683
TreeView+ depends on / blocked
 
Reported: 2019-07-21 11:11 UTC by Igor Gnatenko
Modified: 2020-02-20 18:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 18:33:17 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2019-07-21 11:11:25 UTC
Hello,

Fedora Packaging Guidelines allow dependencies only on files/directories from /usr/bin, /usr/sbin and /etc directories[0].
Your package depends on files/directories outside of those. See below for more information about package/dependencies.

---
xblast-2.10.4-26.fc30.x86_64:
  - /usr/share/fonts/dejavu/DejaVuSans.ttf
---

Please correct those or provide reason why is it correct.
It is very important to not download huge filelists.xml just because few packages in distribution depend on non-standard paths.

Thanks for cooperation!


[0] https://docs.fedoraproject.org/en-US/packaging-guidelines/#_file_and_directory_dependencies

Comment 1 Ben Cotton 2019-08-13 17:06:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:59:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Hans de Goede 2020-02-20 18:33:17 UTC
This has been fixed in F32 and rawhide, closing.


Note You need to log in before you can comment on or make changes to this bug.